
Foreman - Bug #9293

Organisation menu doesn't auto-close

02/09/2015 09:33 AM - Duncan Innes

Status: Closed   

Priority: Normal   

Assignee: Alon Goldboim   

Category: Web Interface   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.2

Bugzilla link: 1113674 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2536

  

Description

Mouse-over the Org menu (beneath the Foreman hat & text) and the menu auto-expands.

Leave the menu and the auto-expand doesn't disappear unless you mouse down directly through the menu, or right into the "Monitor"

menu.

Hardly a great issue, but just a bit messy.

Related issues:

Related to Foreman - Bug #6408: mousing over the org selector in UI raises me... Closed 06/26/2014

Associated revisions

Revision e12b3075 - 07/14/2015 03:37 AM - Alon Goldboim

Fixes #9293 - Organization/location menu closes correctly

Revision 8a3c9b97 - 09/09/2015 10:48 AM - Alon Goldboim

Fixes #9293 - Organization/location menu closes correctly

(cherry picked from commit e12b30751f50f294e0fb7f7e9f8aad3fe98d35e2)

History

#1 - 02/09/2015 09:35 AM - Duncan Innes

- File Screenshot from 2015-02-09 14_34_27.png added

#2 - 02/09/2015 03:33 PM - Eric Helms

- Project changed from Katello to Foreman

- translation missing: en.field_release deleted (14)

#3 - 02/10/2015 03:53 AM - Dominic Cleal

- Related to Bug #6408: mousing over the org selector in UI raises menu that does not dismiss after mouse moves outside menu added

#4 - 02/10/2015 03:53 AM - Dominic Cleal

- Category set to Web Interface

#5 - 04/01/2015 09:33 AM - Duncan Innes

Seeing this as still a problem in Foreman 1.8 & Katello 2.2 (both RC2).  I see Bug #6408 is showing as closed, but I'm using an Org Name and

Location name that are long enough to be giving a lot of scope for this menu to remain on screen.

I saw a Red Hat bugzilla relating to this was closed as WONTFIX.  Reading the bugzilla, the menu was fixed as good as it could be.

Is there really nothing that can be done for this?

#6 - 07/12/2015 04:18 AM - Ohad Levy

- Assignee set to Alon Goldboim
https://projects.theforeman.org/issues/6408


#7 - 07/13/2015 03:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2536 added

- Pull request deleted ()

#8 - 07/13/2015 10:49 AM - Bryan Kearney

- Bugzilla link set to 1113674

#9 - 07/14/2015 03:37 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#10 - 07/14/2015 04:02 AM - Alon Goldboim

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e12b30751f50f294e0fb7f7e9f8aad3fe98d35e2.

Files
